Use the `mogrify` program to resize an image, blur, crop, despeckle, dither, draw on, flip, join, re-sample, and much more. This tool is similiar to convert except the original image file is overwritten (unless you change the file suffic with the -format option) with any changes you request. See Command Line Processing for advice on how to structure your `mogrify` command or see below for example usages of the command.

## Example Usage

We list a few examples of the `mogrify` command here to illustrate its usefulness and ease of use. To get started, lets reduce the size of our rose:

      mogrify -resize 50% rose.jpg

You can resize all your JPEG images in a folder to a maximum dimension of 256x256 with this command:

      mogrify -resize 256x256 *.jpg

Finally, we convert all our PNG images to the JPEG format:

      mogrify -format jpg *.png

Here image files 1.png, 2.png, etc., are left untouched and files 1.jpg, 2.jpg, etc., are created. They are copies of their respective PNG images except are stored in the JPEG image format.

You can find additional examples of using `mogrify` in Graphics from the Command Line. Further discussion is available in More Graphics from the Command Line and Examples of ImageMagick Usage.

## Option Summary

The `mogrify` command recognizes these options. Click on an option to get more details about how that option works.

Option | Description
--- | ---
-adaptive-blur geometry | adaptively blur pixels; decrease effect near edges
-adaptive-resize geometry | adaptively resize image with data dependent triangulation.
-adaptive-sharpen geometry | adaptively sharpen pixels; increase effect near edges
-alpha | activate, deactivate, reset, or set the alpha channel
-affine matrix | affine transform matrix
-annotate geometry text | annotate the image with text
-antialias | remove pixel-aliasing
-append | append an image sequence
-authenticate value | decrypt image with this password
-average | average an image sequence
-background color | background color
-bias value | add bias when convolving an image
-black-threshold value | force all pixels below the threshold into black
-blue-primary point | chromaticity blue primary point
-blur geometry | reduce image noise and reduce detail levels
-border geometry | surround image with a border of color
-bordercolor color | border color
-caption string | assign a caption to an image
-channel type | apply option to select image channels
-charcoal radius | simulate a charcoal drawing
-chop geometry | remove pixels from the image interior
-clip | clip along the first path from the 8BIM profile
-clip-mask filename | associate a clip mask with the image
-clip-path id | clip along a named path from the 8BIM profile
-clone index | clone an image
-clut | apply a color lookup table to the image
-coalesce | merge a sequence of images
-colorize value | colorize the image with the fill color
-colors value | preferred number of colors in the image
-colorspace type | set image colorspace
-combine | combine a sequence of images
-comment string | annotate image with comment
-compose operator | set image composite operator
-composite | composite image
-compress type | image compression type
-contrast | enhance or reduce the image contrast
-contrast-stretch geometry | improve the contrast in an image by `stretching' the range of intensity value
-convolve coefficients | apply a convolution kernel to the image
-crop geometry | preferred size and location of the cropped image
-cycle amount | cycle the image colormap
-debug events | display copious debugging information
-define format:option | define one or more image format options
-deconstruct | break down an image sequence into constituent parts
-delay value | display the next image after pausing
-delete index | delete the image from the image sequence
-density geometry | horizontal and vertical density of the image
-depth value | image depth
-despeckle | reduce the speckles within an image
-display server | get image or font from this X server
-dispose method | GIF disposal method
-distort type coefficients | distort image
-dither | apply Floyd/Steinberg error diffusion to image
-draw string | annotate the image with a graphic primitive
-edge radius | apply a filter to detect edges in the image
-emboss radius | emboss an image
-encoding type | text encoding type
-endian type | endianness (MSB or LSB) of the image
-enhance | apply a digital filter to enhance a noisy image
-equalize | perform histogram equalization to an image
-evaluate operator value | evaluate an arithmetic, relational, or logical expression
-extent geometry | set the image size
-extract geometry | extract area from image
-family name | render text with this font family
-fill color | color to use when filling a graphic primitive
-filter type | use this filter when resizing an image
-flip | flip image in the vertical direction
-floodfill geometry color | floodfill the image with color
-flop | flop image in the horizontal direction
-font name | render text with this font
-format type | image format type
-frame geometry | surround image with an ornamental border
-fuzz distance | colors within this distance are considered equal
-fx expression | apply mathematical expression to an image channel(s)
-gamma value | level of gamma correction
-gaussian geometry | reduce image noise and reduce detail levels
-geometry geometry | preferred size or location of the image
-gravity type | horizontal and vertical text placement
-green-primary point | chromaticity green primary point
-help | print program options
-identify | identify the format and characteristics of the image
-implode amount | implode image pixels about the center
-insert index | insert last image into the image sequence
-intent type | type of rendering intent when managing the image color
-interlace type | type of image interlacing scheme
-interpolate method | pixel color interpolation method
-label string | assign a label to an image
-lat geometry | local adaptive thresholding
-layers method | optimize or compare image layers
-level value | adjust the level of image contrast
-limit type value | pixel cache resource limit
-log format | format of debugging information
-loop iterations | add Netscape loop extension to your GIF animation
-map filename | transform image colors to match this set of colors
-mask filename | associate a mask with the image
-mattecolor color | frame color
-mask id | composite the image pixels as defined by this mask
-median radius | apply a median filter to the image
-modulate value | vary the brightness, saturation, and hue
-monitor | monitor progress
-monochrome | transform image to black and white
-morph value | morph an image sequence
-motion-blur geometry | simulate motion blur
-negate | replace every pixel with its complementary color
-noise radius | add or reduce noise in an image
-normalize | transform image to span the full range of colors
-opaque color | change this color to the fill color
-ordered-dither NxN | ordered dither the image
-orient type | image orientation
-page geometry | size and location of an image canvas (setting)
-paint radius | simulate an oil painting
-path path | write images to this path on disk
-ping | efficiently determine image attributes
-pointsize value | font point size
-polaroid angle | simulate a Polaroid picture
-posterize levels | reduce the image to a limited number of color levels
-preview type | image preview type
-print string | interpret string and print to console
-process image-filter | process the image with a custom image filter
-profile filename | add, delete, or apply an image profile
-quality value | JPEG/MIFF/PNG compression level
-quantize colorspace | reduce image colors in this colorspace
-quiet | suppress all warning messages
-radial-blur angle | radial blur the image
-raise value | lighten/darken image edges to create a 3-D effect
-random-threshold low,high | random threshold the image
-recolor matrix | translate, scale, shear, or rotate image colors.
-red-primary point | chromaticity red primary point
-regard-warnings | pay attention to warning messages.
-region geometry | apply options to a portion of the image
-render | render vector graphics
-repage geometry | size and location of an image canvas
-resample geometry | change the resolution of an image
-resize geometry | resize the image
-roll geometry | roll an image vertically or horizontally
-rotate degrees | apply Paeth rotation to the image
-sample geometry | scale image with pixel sampling
-sampling-factor geometry | horizontal and vertical sampling factor
-scale geometry | scale the image
-scene value | image scene number
-seed value | seed a new sequence of pseudo-random numbers
-segment values | segment an image
-separate | separate an image channel into a grayscale image
-sepia-tone threshold | simulate a sepia-toned photo
-set attribute value | set an image attribute
-shade degrees | shade the image using a distant light source
-shadow geometry | simulate an image shadow
-sharpen geometry | sharpen the image
-shave geometry | shave pixels from the image edges
-shear geometry | slide one edge of the image along the X or Y axis
-sigmoidal-contrast contrastxmid-point | image lightness rescaling using sigmoidal contrast enhancement
-size geometry | width and height of image
-sketch geometry | simulate a pencil sketch
-solarize threshold | negate all pixels above the threshold level
-splice geometry | splice the background color into the image
-spread amount | displace image pixels by a random amount
-strip | strip image of all profiles and comments
-stroke color | graphic primitive stroke color
-strokewidth value | graphic primitive stroke width
-stretch type | render text with this font stretch
-style type | render text with this font style
-swap indexes | swap two images in the image sequence
-swirl degrees | swirl image pixels about the center
-texture filename | name of texture to tile onto the image background
-threshold value | threshold the image
-thumbnail geometry | create a thumbnail of the image
-tile filename | tile image when filling a graphic primitive
-tile-offset geometry | image tile offset
-tint value | tint the image with the fill color
-transform | affine transform image
-transparent color | make this color transparent within the image
-transparent-color color | transparent color
-transpose | flip image in the vertical direction and rotate 90 degrees
-transverse | flop image in the horizontal direction and rotate 270 degrees
-treedepth value | color tree depth
-trim | trim image edges
-type type | image type
-undercolor color | annotation bounding box color
-unique-colors | discard all but one of any pixel color.
-units type | the units of image resolution
-unsharp geometry | sharpen the image
-verbose | print detailed information about the image
-version | print version information
-view | FlashPix viewing transforms
-virtual-pixel method | access method for pixels outside the boundaries of the image
-wave geometry | alter an image along a sine wave
-weight type | render text with this font weight
-white-point point | chromaticity white point
-white-threshold value | force all pixels above the threshold into white
-write filename | write images to this file

Discourse Server • Mailing Lists • ImageMagick Studio